=== debian/changelog ===
neutron (2:11.0.1-0ubuntu1) artful; urgency=medium

  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.
  * New stable point release for OpenStack Pike (LP: #1719728).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Sep 2017 10:30:00 -0400

neutron (2:11.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:59:39 +0100

neutron (2:11.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:27:30 -0400

neutron (2:11.0.0~rc1-0ubuntu3) artful; urgency=medium

  * d/control: Move iproute2 Depends to python-neutron.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 20:39:18 -0400

neutron (2:11.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/control: Add iproute2 to neutron-common Depends as ip commands
    are issued in neutron/agent/linux/ip_lib.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 14:33:16 -0400

neutron (2:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:30:49 -0400

neutron (2:11.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/p/bug1694420.patch: Dropped, included upstream.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/flake8-legacy.patch: Rebased.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 10:45:52 -0400

neutron (2:11.0.0~b2-0ubuntu2) artful; urgency=medium

  * d/p/bug1694420.patch: Cherry pick fix to resolve issues in deployments
    where the port-security driver is not enabled (LP: #1694420).

 -- James Page <james.page@ubuntu.com>  Wed, 21 Jun 2017 14:23:01 +0100

neutron (2:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * d/control: Add python-ovsdbapp to (Build-)Depends.
  * d/python-neutron.install: Install neutron-api wsgi entry point.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:32:57 +0100

neutron (2:11.0.0~b1-0ubuntu2) artful; urgency=medium

  * Update default configuration management to use crudini:
    - d/control: Add BD on crudini.
    - d/rules: Set distro defaults in neutron.conf using crudini.
    - d/p/fix-neutron-configuration.patch: Dropped, no longer
      required.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 09:57:26 +0100

neutron (2:11.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/pydist-overrides: Dropped no longer needed.
  * d/rules:
    - Removed missing patch
    - Configure sqlite database using pkgos-fix-config-default.
    - Removed missing binaries to exclude.
  * d/neutron-metadata-agent.install: Remove neutron-metadata-proxy
    has been replaced by haproxy.
  * d/control: Add python-os-xenapi as a depdendency.
  * d/rules: Fix running unit tests.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 15:10:44 +0100

neutron (2:10.0.0-0ubuntu5) zesty; urgency=medium

  * d/rules: Fix failing unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 09 Apr 2017 11:41:39 -0400

neutron (2:10.0.0-0ubuntu4) zesty; urgency=medium

  * d/neutron-common.install, d/neutron-dhcp-agent.install:
    Remove cron jobs since they will cause a race when
    using an L3 agent. (LP: #1623664)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 12:42:06 -0400
