## neutron 11.0.3

=== debian/changelog ===
neutron (2:11.0.3-0ubuntu2) artful; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Ensure neutron-ovs-cleanup runs after openvswitch-switch and
    neutron-openvswitch-agent runs after neutron-ovs-cleanup (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Wed, 28 Mar 2018 04:44:38 -0700

neutron (2:11.0.3-0ubuntu1.1) artful; urgency=medium

  * New upstream version.
  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Dropped. Fixed in new upstream version.
  * New stable point release for OpenStack Pike (LP: #1758046).
  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Revert changes made for LP:#1752838 due to regression (LP: #1758411).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:44:14 -0400

neutron (2:11.0.2-0ubuntu1.3) artful; urgency=medium

  * d/neutron-openvswitch-agent.service.in: Ensure
    neutron-openvswitch-agent starts after neutron-ovs-cleanup.
  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Adding dependency on openvswitch-switch.service because
    neutron-ovs-cleanup will fail if it is run earlier than it
    (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 01 Mar 2018 17:19:08 -0800

neutron (2:11.0.2-0ubuntu1.1) artful; urgency=medium

  * d/gbp.conf: Set debian-branch to stable/pike.
  * New upstream version.
  * New stable point release for OpenStack Pike (LP: #1734990).
  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Cherry-pick from upstream to prevent multiple masters for L3HA
    (LP: #1731595).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:55:02 -0500
