## neutron 11.0.6

=== debian/changelog ===
neutron (2:11.0.6-0ubuntu1~cloud2.1) xenial; urgency=medium

  * d/p/bug1823038.patch: Cherry pick fix to ensure that None is not
    passed as an argument when spawning the neutron-keepalived-state-change
    agent (LP: #1823038).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Apr 2019 11:01:15 +0100

neutron (2:11.0.6-0ubuntu1~cloud2) xenial-pike; urgency=medium

  * d/p/fix-KeyError-in-OVS-firewall.patch: Cherry-picked from upstream
    to prevent neutron ovs agent from crashing due to creation of two
    security groups that both use the same remote security group, where
    the first group's port range is a subset of the second (LP: #1813007).
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch:
    Cherry-picked from upstream stable/rocky branch to ensure proper
    detection of MASTER HA router by neutron-keepalived-state-change
    (LP: #1818614).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 16:11:39 -0400

neutron (2:11.0.6-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).
  * d/p/0001-Skip-MTU-check-during-deletion-of-Networks.patch: Dropped.
    Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:10:12 -0500

neutron (2:11.0.5-0ubuntu1~cloud1) xenial-pike; urgency=medium

  [ Seyeong Kim ]
  * Skip MTU check during deletion of Networks (LP: #1713499).
    - Fixing issue that network can't be deleted if MTU is
      different.
    - d/p/0001-Skip-MTU-check-during-deletion-of-Networks.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 03 Oct 2018 09:12:04 -0400

neutron (2:11.0.5-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1778739).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 13:39:16 -0400

neutron (2:11.0.3-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Apr 2018 12:45:02 +0000
