## neutron 12.0.0

=== debian/changelog ===
neutron (2:12.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 17:51:55 +0000

neutron (2:12.0.0-1) unstable; urgency=medium

  * Switch to openstack-pkg-tools >= 70~ debconf templates.
  * New upstream release.
  * Upgrade db schema as per the install-guide.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 19:36:57 +0000

neutron (2:12.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 10:44:36 +0000

neutron (2:12.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Aurelien Martin ]
  * New upstream release.
  * Fix (build-)depends for this release.
  * Standards-Version: 4.1.3
  * Drop parsable_ml2.ini.patch
  * Drop build-metadata_agent.ini-reproducibly.patch applied upstream
  * Switch package to python3.

  [ Thomas Goirand ]
  * Black list test failing in Python 3.6:
    - agent.dhcp.test_agent.TestDhcpAgent.test_dhcp_agent_manager

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 21:28:28 +0000

neutron (2:11.0.1-6) unstable; urgency=medium

  [ David Rabel ]
  * Update fr.po (Closes: #885585)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 09:07:36 +0100

neutron (2:11.0.1-5) unstable; urgency=medium

  * Fixed lsb-base defined twice in neutron-metering-agent.
  * Back to using testr directly.
  * Blacklist TestWSGIServer.test_start_random_port_with_ipv6 (Closes: #883350)
  * Add build-metadata_agent.ini-reproducibly.patch (Closes: #859194).
  * Fixed setting-up [nova]/project_name.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Dec 2017 17:53:05 +0100

neutron (2:11.0.1-4) unstable; urgency=medium

  * Using openstack-pkg-tools >= 56~ to setup transport_url correctly.
  * Patch config to make it parsable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Dec 2017 15:27:28 +0000

neutron (2:11.0.1-3) unstable; urgency=medium

  * Added python-pip as runtime dependency, needed for ovs plugin.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Nov 2017 20:30:04 +0100

neutron (2:11.0.1-2) unstable; urgency=medium

  * Removed transition packages and Breaks:/Replaces: now obsolete after the
    release of Stretch.
  * Added radvd runtime depends for l3-agent (Closes: #858565).
  * Reviewed a bit dependencies.
  * Fix unit test listing issue with new flake8, huge thanks to James Page for
    providing the patch.
  * Failed tests fails the build.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 03:24:22 +0000

neutron (2:11.0.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove obsolete patches.
  * Fixed config file generation namespaces.
  * Removed build-depends on dh-systemd.
  * Standards-Version is now 4.1.1.
  * debian/rules: Removed things defined in openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Oct 2017 15:30:23 +0200
